package de.intevation.flys.exports;

import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.w3c.dom.Node;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class StringAttribute extends VisibleAttribute {


    public StringAttribute(String name, String value, boolean visible) {
        super(name, value, visible);
    }


    /**
     * Calls VisibleAttribute.toXML() and appends afterwards an attribute
     * <i>type</i> with value <i>string</i>.
     *
     * @param parent The parent Node.
     *
     * @return the new Node that represents this Attribute.
     */
    @Override
    public Node toXML(Node parent) {
        Document owner = parent.getOwnerDocument();
        Node     node  = super.toXML(parent);

        Attr attr = owner.createAttribute("type");
        attr.setValue("string");

        node.appendChild(attr);

        return node;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
